SSD1306Ascii

Classes | Variables
AvrI2c.h File Reference

Small fast I2C class for AVR. More...

`#include <Arduino.h>`
Include dependency graph for AvrI2c.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | AvrI2c
| Hardware I2C master class for AVR. More...

## Variables
uint8_t const | I2C_READ = 1
uint8_t const | I2C_WRITE = 0
uint8_t const | TWSR_MRX_ADR_ACK = 0x40
uint8_t const | TWSR_MTX_ADR_ACK = 0x18
uint8_t const | TWSR_MTX_DATA_ACK = 0x28
uint8_t const | TWSR_REP_START = 0x10
uint8_t const | TWSR_START = 0x08

## Detailed Description

Small fast I2C class for AVR.

## Variable Documentation

## ◆ I2C_READ

uint8_t const I2C_READ = 1

Bit to or with address for read start and read restart

## ◆ I2C_WRITE

uint8_t const I2C_WRITE = 0

Bit to or with address for write start and write restart

## ◆ TWSR_MRX_ADR_ACK

uint8_t const TWSR_MRX_ADR_ACK = 0x40

slave address plus read bit transmitted, ACK received

## ◆ TWSR_MTX_ADR_ACK

uint8_t const TWSR_MTX_ADR_ACK = 0x18

slave address plus write bit transmitted, ACK received

## ◆ TWSR_MTX_DATA_ACK

uint8_t const TWSR_MTX_DATA_ACK = 0x28

data transmitted, ACK received

## ◆ TWSR_REP_START

uint8_t const TWSR_REP_START = 0x10

repeated start condition transmitted

## ◆ TWSR_START

uint8_t const TWSR_START = 0x08

start condition transmitted